[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.DoHide

Performs actions needed when Visible is changed to False.

## Declaration

Source position: comctrls.pp line 256

`protected procedure TCustomPage.DoHide; virtual;`

## Description

DoHide is a method used to perform actions needed when the Visible property is changed to False. DoHide signals the OnHide event handler (when assigned).

DoHide is called from the CMVisibleChanged message handler.

## See also

TCustomPage.Visible |  | Not stored in LCL component streaming for TCustomPage.
TCustomPage.OnHide |  | Event handler signalled when the page is hidden.
TCustomPage.CMVisibleChanged |  | Handles the CM_VISIBLECHANGED message for the control.